using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "LevelHandler", menuName = "ScriptableObjects/LevelConfig/LevelHandling", order = 1)]
public class LevelHandling : ScriptableObject{
	public int currentLevel=0;
	public CurrentLevelHandler[] levels;

	public bool LevelUp() {
		++currentLevel;
		if (currentLevel>levels.Length) {
			//EndGameManager.Instance.ShowEndGameScreen(EndGameManager.EndgameScreen.WinToUruguay);
			return false;
		}
		return true;
	}
}
